hosc-0.21.1: Haskell Open Sound Control

Safe Haskell | Safe-Inferred
Language | Haskell2010

Sound.Osc.Time.System

Description

System time

Synopsis

- getSystemTimeAsNtpReal :: IO NtpReal
- getSystemTimeInMicroseconds :: IO (Int64, Word32)

# Documentation

getSystemTimeAsNtpReal :: IO NtpReal Source #

Get the system time, epoch start of 1970 UTC, leap-seconds ignored. getSystemTime is typically much faster than getCurrentTime, however it is not available in Hugs.

getSystemTimeInMicroseconds :: IO (Int64, Word32) Source #

System time with fractional part in microseconds (us) instead of nanoseconds (ns).